package org.stm.rate.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.stm.rate.entity.RateTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.stm.rate.vo.RateStaiVo;
import org.stm.rate.vo.RateTaskOptVo;

/**
 * @Description: 任务分配
 * @Author: jeecg-boot
 * @Date:   2023-09-22
 * @Version: V1.0
 */
public interface RateTaskMapper extends BaseMapper<RateTask> {
    public IPage<RateTaskOptVo> queryDomainScoreUser(IPage<RateTaskOptVo> page, @Param("query") RateTaskOptVo queryVo);
    public IPage<RateTaskOptVo> queryDomainResScoreUser(IPage<RateTaskOptVo> page, @Param("query") RateTaskOptVo queryVo);
    public List<RateTaskOptVo>  queryDomainResTabScoreUser( @Param("query") RateTaskOptVo queryVo);
    public List<RateStaiVo>  queryDomainStaiList( @Param("query") RateStaiVo queryVo);
    public List<RateStaiVo>  querykeyitemStaiList( @Param("query") RateStaiVo queryVo);
    public List<RateStaiVo>  queryDomainScoreList( @Param("query") RateStaiVo queryVo);
    public List<RateStaiVo>  queryDomainScoreRatioList( @Param("query") RateStaiVo queryVo);
    public List<RateStaiVo>  queryDomainRatioList( @Param("query") RateStaiVo queryVo);
    public List<RateTaskOptVo>  queryStdIdByLimit( @Param("query") RateTaskOptVo queryVo);
    public List<RateStaiVo>  queryTaskDomainScoreList( @Param("query") RateStaiVo queryVo);

}
